/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')

let log = require('../../../../log').m('BotsRouteField')

const CoreModule = require('../../../core/abstract/module')
const BotRouteField = require('./botroute')

//const UUIDGenerator = require('./generators/uuid')
//const HashGenerator = require('./generators/hash')

//const RegexpTest = require('./tests/regexp')
//const ContainsTest = require('./tests/contains')
//const EqTest = require('./tests/eq')
//const EqSetter = require('./setters/eq')

const ToStringModifier = require('./modifiers/tostring')
const FromStringModifier = require('./modifiers/fromstring')

class BotsRouteFieldModule extends CoreModule
{

  constructor(parent)
  {
    super(parent)
    this.M('field').registerFieldType(BotRouteField)
    this.M('field').registerModifier(ToStringModifier)
    this.M('field').registerModifier(FromStringModifier)
  }

}

module.exports = BotsRouteFieldModule
