/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxOps = require('rxjs/operators')

let log = require('../../../../log').m('JsonReactionModule')
let g18n = require('../../../../g18n')

const CoreModule = require('../../../core/abstract/module')

const JsonReaction = require('./json')

class JsonReactionModule extends CoreModule
{
  constructor(parent)
  {
    super(parent)

    this.M('bot/reactions').registerReactionType(JsonReaction)
    this.M('actions').registerAction(JsonReaction)
  }

}

module.exports = JsonReactionModule
