/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxOps = require('rxjs/operators')

let log = require('../../../../log').m('PushReactionModule')
let g18n = require('../../../../g18n')

const CoreModule = require('../../../core/abstract/module')

const PushReaction = require('./push')

class PushReactionModule extends CoreModule
{
  constructor(parent)
  {
    super(parent)

    this.M('bot/reactions').registerReactionType(PushReaction)
    this.M('actions').registerAction(PushReaction)
  }

}

module.exports = PushReactionModule
