/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')

let log = require('../../log').m('Role')
let g18n = require('../../g18n')

const Node = require('../node/node')

class Conf extends Node
{
  constructor(parent,model,isNew=false)
  {
    super(parent,model,isNew)
    this._type = 'conf'
  }

  key()
  {
    return this.field('key').get()
  }

  value()
  {
    return this.field('value').get()
  }

  description()
  {
    return this.field('description').get()
  }

}

module.exports = Conf
