/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../log').m('CPanelModule')
let g18n = require('../../g18n')

const CoreModule = require('../core/abstract/module')

class CPanelModule extends CoreModule
{

  constructor(parent)
  {
    super(parent)
  }


  /*
  moduleInstall()
  {
    //return Rx.of(null)
    return Rx.Observable.create(obs=>{
      let $t = []

      log.info('creating control panel www router')
      let $wr = this.C('ifrouters').newNode()
      $wr.f('code','cpanel')
      $wr.f('name','Control Panel router')
      $wr.f('type','httpthemerouter')
      $wr.f('config',{theme:'cpanel',formsmethod:'POST'})
      $wr.field('flags').push('system')

      $t.push($wr.save().pipe(
        RxO.mergeMap(_=>this.C('ifrouters').findNode({code:'cpanel'})),
        RxO.mergeMap(x=>x.install())
      ))

      log.info('creating control panel www interface')
      let iface = this.C('interfaces').newNode()
      iface.f('enabled',false)
      iface.f('name',g18n.t('Control Panel'))
      iface.f('code','cpanel')
      iface.f('type','http')
      iface.f('router','cpanel')
      iface.f('config',{
        host: '0.0.0.0',
        port: 7077,
        redisHost: this.M('db')._config.httpredis.host,
        redisPort: this.M('db')._config.httpredis.port,
        redisDB: this.M('db')._config.httpredis.db,
        secret: this._config.sessionSecret,
        publicDirs: ['files'],
        uploadDir: 'files',
        uploadMaxSize: 52428800,
        jsonMaxSize: '50mb'
      })
      iface.f('status','unknown')


    })
  }
  */

  /*
  moduleInstall()
  {
    return Rx.Observable.create(obs=>{
      let install = {}
      let $t = []
      $t.push(this.M('core').consolePrompt(g18n.t('CPanel host [0.0.0.0]:'),{default:'0.0.0.0'}).pipe(RxO.map(val=>{install.host=val})))
      $t.push(this.M('core').consolePrompt(g18n.t('CPanel port [7076]:'),{default:'7077'}).pipe(RxO.map(val=>{install.port=val})))

      Rx.concat(...$t).subscribe(()=>{},err=>this.obsErr(obs,err),_=>{
        let cfg = {
          host: install.host,
          port: install.port,
          sessionSecret: 'asdqweasdzxcasdqweasdzxc'
        }

        this.obsEnd(obs,cfg)
      })

    })
  }
  /**/




}

module.exports = CPanelModule
