/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let mg = require('mongoose')

let log = require('../../../log').m('!AnyField')
let g18n = require('../../../g18n')

const AbstractField = require('../field')

class AnyField extends AbstractField
{
  //static schema() { return mg.Schema.Types.Mixed }

  static info()
  {
    return {
      code: 'any',
      name: g18n.t('Any data')
    }
  }

}

module.exports = AnyField
