/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')

let log = require('../../../../log').m('SizeModifier<any>')
let g18n = require('../../../../g18n')

const AbstractModifier = require('../../modifier')

class SizeModifier extends AbstractModifier
{

  static info()
  {
    return {
      code: 'size',
      name: g18n.t('Size'),
      iname: '',  //not required for 'array only' tests
      invert: false, //cuz not invertable
      flat: true, //modifiers result is single element
      strict: 'number', //keeps original field type
      ops: [],
      types: ['[]']
    }
  }

  setRange()
  {
    return null
  }

  getNext()
  {
    let ret = this._dataTarget.size()
    return ret
  }



}

module.exports = SizeModifier
