/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')

let log = require('../../log').m('AbstractWidget')
let g18n = require('../../g18n')

const CoreObject = require('../core/abstract/object')

class AbstractWidget extends CoreObject
{

  constructor(parent,conf=null)
  {
    super(parent)
    this._field = this._parent
    this._node = this._field._parent
    this._conf = conf
  }

  static info()
  {
    return {
      code: 'abstract',
      name: g18n.t('Abstract widget'),
      xtypes: [],
      ops: []
    }
  }

  confOp(opi,def)
  {
    let ret = def
    if(Array.isArray(this._conf)&&typeof this._conf[opi] != 'undefined')
      ret = this._conf[opi]
    return ret
  }


}

module.exports = AbstractWidget

