/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../../log').m('BlockPage')
let g18n = require('../../../g18n')

const AbstractHttpPage = require('./page')

class BlockPage extends AbstractHttpPage
{

  buildContentBlock(ctx)
  {
    return Rx.Observable.create(obs=>{
      let content = ctx.vnode('content')
      let pg = this.f('data')
      //log.warn('build content block')
      //console.log(pg,content.view('content'))
      this.M('template').liquify(pg.content,{content:content.toObject()}).subscribe(html=>{
        //console.log(['contentHtml',html])
        this.obsEnd(obs,{
          id: content.id(),
          type: content.bundle(),
          content: html,
          title: null
        })
      })
    })
  }

}

module.exports = BlockPage
