/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../../log').m('LibraryPage')
let g18n = require('../../../g18n')

const AbstractHttpPage = require('./page')

class LibraryPage extends AbstractHttpPage
{

  buildContentBlock(ctx)
  {
    return Rx.Observable.create(obs=>{
      //let content = ctx.vnode('content')
      let ret = {
        id: this.id(),
        types: ['library',this.bundle()],
        content: '',
        title: null
      }
      let data = this.variant().data
      //if (!data.libs)
        //data.libs = []
      //let $t = data.libs.map(l=>this.M('logic').library(ctx,l))
      //Rx.concat(...$t).subscribe(_=>{},err=>this.obsErr(obs,err),_=>{
        this.M('template').liquify(data.content,ctx.view()).subscribe(html=>{
          ret.content = html
          this.obsEnd(obs,ret)
        },err=>this.obsErr(pbs,err))
      //})

    })
  }

  compile(ctx)
  {
    return Rx.Observable.create(obs=>{
      //let ret = {}
      //let data = this.variant().data
      //let data = this.f('data')
      //if (!data.libs)
        //data.libs = []
      //console.log(['cmp',data.libs,ctx])
      //let $t = data.libs.map(l=>this.M('logic').library(ctx,l))
      //Rx.concat(...$t).subscribe(_=>{},err=>{
        //console.log(['???!!!',err])
        //this.obsErr(obs,err)
      //},_=>{
        let obj = ctx.view()
        //console.log(['cmp',obj.virtual])
        this.obsEnd(obs,obj.virtual)
      //})
    })
  }


}

module.exports = LibraryPage
