// Core classes together
module.exports = {
  //globals
  log: require('../core/log'),
  g18n: require('../core/g18n'),
  //core
  CoreObject: require('../core/modules/core/abstract/object'),
  CoreModule: require('../core/modules/core/abstract/module'),
  //field
  AbstractField: require('../core/modules/field/field'),
  AbstractValidator: require('../core/modules/field/validator'),
  AbstractGenerator: require('../core/modules/field/generator'),
  AbstractWidget: require('../core/modules/field/widget'),
  //logic
  AbstractTest: require('../core/modules/logic/abstract/test'),
  AbstractSetter: require('../core/modules/logic/setter'),
  AbstractModifier: require('../core/modules/field/modifier'),
  //nodes
  Node: require('../core/modules/node/node'),
  VirtualNode: require('../core/modules/node/vnode'),
  //http
  AbstractHttpPage: require('../core/modules/http/page/page'),
  AbstractHttpBlock: require('../core/modules/http/block/block'),
  //bots
  AbstractMessage: require('../core/modules/bot/messages/message'),
  AbstractReaction: require('../core/modules/bot/reactions/reaction'),
  //interfaces
  AbstractInterface: require('../core/modules/interface/abstract'),
  //actions
  AbstractAction: require('../core/modules/actions/abstract')
}
