//UNHANDLED PROMICES REJECTION
//USE WITH CAUTION
/**/
process.on('unhandledRejection', error => {
  // Will print "unhandledRejection err is not defined"
  console.log('unhandledRejection', error)
})
/**/

// LOG OBJECT
let log = require('./core/log')

// CONFIGS
const fs = require('fs')
let pkg = JSON.parse(fs.readFileSync('./package.json'))

let cmd = require('commander')
cmd
  .version(pkg.version)
  .option('--install','Install (requires config/install.json)')
  .option('--dist-upgrade','Only register core modules installation. For update from older versions.')
  .parse(process.argv)

// CORE
const Core = require('./core/modules/core/core')
var core = new Core(pkg)

let nx = core.start()

if (cmd.install)
  nx = core.install()

if (cmd.distUpgrade)
  nx = core.distUpgrade()

nx.subscribe(()=>{},err=>{
  log.err('server.js','start error')
  console.log(err)
},()=>{
  log.success('server.js','core started')
})
