export default {
  name: 'tjs-pages-tree',
  props: ['items','lvl','limit', 'licls','acls'],
  data: ()=>{
    return {
      lngi: 0
    }
  },
  template: `
    <ul v-if="items.length>0&&!limit">
      <li v-for="item in itemss" v-if="item.parentCode==lvl" :class="licls">
        <router-link :to="'/'+item.url[lngi]" :class="acls">{{item.title[lngi]}}</router-link>
        <tjs-pages-tree v-bind:items="items" v-bind:lvl="item.code"></tjs-pages-tree>
      </li>
    </ul>
  `,
  watch: {
    $route(nx) {
      this.lngi = 0
      if (nx.path.startsWith('/ru'))
        this.lngi = 1
    }
  },
  computed: {
    itemss() {
      if (!Array.isArray(this.items))
        return []
      return this.items.sort((a,b)=>{
        //console.log(['sort',a.sortOrder,b.sortOrder])
        return a.sortOrder-b.sortOrder
      })
    }
  },
  created()
  {
    this.lngi = 0
    if (this.$router.currentRoute.path.startsWith('/ru'))
      this.lngi = 1
    //console.log('ultree created')
  }
}
