export default {
  name: 'tjs-ui',
  props: ['isLoading','isSidebarOpen','isFluid'],
  data: ()=>{
    return {
      current: ''
    }
  },
  computed: {
    items(){
      return []
    }
  },
  template: `
    <div :class="contcls">
      <div class="row mt-3">
        <div v-if="isSidebarOpen" class="col-md-3"><slot name="sidebar"></slot></div>
        <div :class="maincls"><slot></slot></div>
      </div>
    </div>
  `,
  computed: {
    contcls() {
      let ret = 'container'
      if (!!this.isFluid)
        ret += '-fluid'
      return ret
    },
    maincls() {
      ret = 'col-12'
      if (!!this.isSidebarOpen))
        ret = 'col-12 col-md-9'
      return ret
    }
  },
  methods: {
    showSidebar(st) {
      
    }
  },
  created()
  {
    console.log('sidemenu created',this.pages)
  }
}
