/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../log').m('AbstractAction')
let g18n = require('../../g18n')

const CoreObject = require('../core/abstract/object')

class AbstractAction extends CoreObject
{

  constructor(...args)
  {
    super(...args)
  }

  //common routines
  static info()
  {
    return {
      code: 'abstract',
      name: g18n.t('Abstract'),
      desc: g18n.t('Abstract action'),
      confs: []
    }
  }

  execute(data,ctx)
  {
    return Rx.of(null)
  }

}

module.exports = AbstractAction
