/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../log').m('AbstractWidget')
let g18n = require('../../g18n')

const CoreObject = require('../core/abstract/object')

class AbstractWidget extends CoreObject
{

  //common routines
  static info()
  {
    return {
      code: 'abstract',
      name: g18n.t('Abstract'),
      desc: g18n.t('Abstract html from widget'),
      tpl: 'tpl/file/for/render', //template extension like '.pug' or '.ejs' depends on render engine and should be not used here!
      types: [], //list of supported data types
      confs: []
    }
  }

}

module.exports = AbstractWidget
