/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../../log').m('StringWidget')
let g18n = require('../../../g18n')

const AbstractWidget = require('../widget')

class StringWidget extends AbstractWidget
{

  //common routines
  static info()
  {
    return {
      code: 'string',
      name: g18n.t('String input'),
      desc: g18n.t('String input is a basic input widget'),
      tpl: 'widgets/string', //template extension like '.pug' or '.ejs' depends on render engine and should be not used here!
      types: ['string'], //list of supported data types
      confs: []
    }
  }

}

module.exports = StringWidget
