/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../../log').m('AbstractHttpBlock')
let g18n = require('../../../g18n')

const Node = require('../../node/node')

class AbstractHttpBlock extends Node
{

  static info()
  {
    return {
      code: 'abstract',
      title: false,
      libs: false,
      confs: []
    }
  }

  test(ctx)
  {
    return this.M('logic').testLogicRx(this,ctx,ctx.vnode('theme').f('code'))
  }

  build(ctx)
  {
    return Rx.throwError({code:'ABSTRACT_HTTP_BLOCK_BUILD'})
  }


}

module.exports = AbstractHttpBlock
