/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../../log').m('ContentHttpBlock')
let g18n = require('../../../g18n')

const AbstractHttpBlock = require('./abstract')

class ContentHttpBlock extends AbstractHttpBlock
{

  static info()
  {
    return {
      code: 'content',
      title: false,
      libs: false,
      confs: []
    }
  }

  test(ctx)
  {
    return Rx.of(true)
  }

  build(ctx)
  {
    return ctx.vnode('page').buildContentBlock(ctx)
  }

}

module.exports = ContentHttpBlock
