/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxOps = require('rxjs/operators')

let log = require('../../log').m('AbstractRoute')
let g18n = require('../../g18n')

const CoreObject = require('../core/abstract/object')

class AbstractRoute extends CoreObject
{

  //common routines
  execute(ctx)
  {
    return Rx.throwError({code:'ABSTRACT_ROUTE_EXECUTION'})
  }

}

module.exports = AbstractRoute
