/*
  This file is part of TakatanJS software.
  @author abrakadobr
  @version 2.5.58
  @website https://js.takatan.tk
*/


let Rx = require('rxjs')
let RxO = require('rxjs/operators')

let log = require('../../log').m('LogicFilterField')
let g18n = require('../../g18n')

const Context = require('../context/context')
const AbstractField = require('../field/field')

class LogicFilterField extends AbstractField
{

  static info()
  {
    return {
      code: 'logicfilter',
      name: g18n.t('Logic filters')
    }
  }


}

module.exports = LogicFilterField

