JupiterCMS End User License Agreement
=====================================

IMPORTANT – READ CAREFULLY:
---------------------------


This End-User License Agreement (the “Agreement”) is a legal agreement between you (either an individual or a single entity) and TAKATEN SOFTWARE AND ROBOTICS LTD (“TAKATAN”) for evaluation and use of the software (including all ancillary applications provided) and any associated documentation provided with the software (collectively, the “Software”). By downloading, installing, or using the Software: (1) you represent that you understand the terms of this Agreement and you have the capacity and authority to bind your employer to this Agreement, and (2) you accept the terms of this Agreement and you consent to be bound by this Agreement on behalf of your employer (hereinafter referred to as “you”). If you do not agree to be bound by these terms and conditions, do not download, install, or use of the Software.

1. Grant of License.
====================

1.1 General License Grant.
--------------------------

Pursuant to an email or other written communication from the Company with the license key details for the Software (“License Order Confirmation”), and subject to payment of all applicable license fees and other charges, TAKATAN grants you the limited, non-exclusive, non-sublicenseable, non-transferable license to install and use the Software in accordance with this Agreement and subject to any volume, user, field of use, configuration or other restrictions set forth in the applicable Licence Order Confirmation. If your purchase order or other documentation contains terms in addition to, or different than, the terms of this Agreement, those terms in that purchase order or other documentation shall be disregarded and the terms of this Agreement shall control.

Grant of any licence pursuant to this Agreement is subject to the TAKATAN Privacy Policy, which shall apply to any processing of personal data by TAKATAN. By entering into this Licence you agree to the terms of the TAKATAN Privacy Policy and the processing of your personal data in accordance with the terms of the TAKATAN Privacy Policy.

1.2 License Options.
--------------------

Your license to install and use the software shall be in accordance with one or more of the following license options, as set forth on the License Order Confirmation or in your request for evaluation software. The Software may contain a software license management tool (a “License Manager”) that regulates your use of the Software. If so, all of the licensed activity described below must be subject to the control of the License Manager, and you may not install or use the Software in a manner that circumvents or interferes with the operation of the License Manager or any other technological measure that controls access to the Software.

a. Demo (Evaluation) License. One identified individual (named-user) may use the Software for a limited evaluation period to be determined and stated by TAKATAN. You may install the Software on any number of computers necessary to support that named-user so long as the Software is used only by the named-user. The Demo License shall terminate at the end of the stated evaluation period unless otherwise agreed by TAKATAN.

b. Open Source License. One identified individual (named-user) may use the Software for non-commercial, "Open Source" projects. An "Open Source" project means a project, the results of which are made available for no fee to the general public under an Open Source Initiative (OSI) approved license.

c. Consultancy License. One or more identified individuals (on a named-user basis) may use the Software for use in their customers' projects, provided that the Software may only be installed on the consultant's machine and not on a customer's hardware. The number of users authorized may be limited in the License Order Confirmation. The consultant shall ensure that the customer is made aware of the identity and source of TAKATAN's Software.

d. Academic License. Academic licenses may be granted on a per-user or per-class basis. Use of the Software is restricted to educational, academic, non-commercial purposes. The number of users authorized may be limited in the License Order Confirmation.

e. Floating License. Subject to the control of a single License Manager, you may install the Software on an unlimited number of computers or servers for use concurrently by a number of individuals up to the number of user licenses you have purchased.

f. Node-locked License. You may install the Software on one identified computer (node) and one identified individual (named-user) may use the software locally on that node. If the named-user leaves your employ or is transferred such that he or she no longer requires use of the software, you may transfer this license to an alternative named-user.

g. Named-user License. One identified individual (named-user) may use the Software. You may install the software on any number of computers necessary to support that named-user, so long as the software is used only by the named-user. If the named-user leaves your employ or is transferred such that he or she no longer requires use the software, you may transfer this license to an alternative named-user.

h. Subscription License.
(i)	Customer may install the Software on its computers (for use by its employees only, where applicable) in the number specified in the applicable Licence Order Confirmation. The Software is licensed under each Licence Order Confirmation on a subscription basis per individual Customer user (Subscription Licence). The term of each Subscription Licence shall be as set out in the applicable Licence Order Confirmation and shall commence on the start date specified on the applicable Licence Order Confirmation (“Subscription Term”). The Subscription Licence shall automatically terminate upon expiry of the applicable Subscription Term unless the parties have agreed upon an automatic renewal of the term pursuant to the terms of the Licence Order Confirmation.

(ii)	Customer may copy and install on Customer’s computers, for use only by Customer’s employees, as many copies of the Software as is designated on the applicable Licence Order Confirmation forms.

(iii)	All annual subscription fees shall be payable per authorised user as set forth in the applicable Licence Order Confirmation.

(iv)	TAKATAN shall provide the support and maintenance services as referred to in the Licence Order Confirmation form.

i. Company License. One identified company may use the Software. Company employed deveolpers may install the software on any number of company computers necessary to support that company services, so long as the software is used only by the company and it's services.

j. Update License. Customer may access latest Software updates as referred to in the Licence Order Confirmation form.

k. Service License. After granting access to customer's server, TAKATAN shall provide additional customer's server services as referred to in the Licence Order Confirmation form.

1.3 Restrictions.
-----------------

It is your responsibility to ensure compliance with the terms of this Agreement. For example, for floating licenses, you must take steps to ensure that the number of concurrent users does not exceed the number of user licenses that you have purchased. Except as may otherwise expressly be provided herein and as otherwise expressly permitted by law, you shall not, directly or indirectly:

(a) Use the Software in a manner that infringes any third party’s copyrights or any other rights;

(b) Make any translation, adaptation, arrangement, modification, derivative work or other alteration of the Software;

(c) Distribute, sell, give away, hire or lease the Software, or another product wholly or partially derived from the Software, or offer to do any of the foregoing;

(d) Assign, sell, lease, rent, time-share, or otherwise make all or any part of the Software available for installation or use by any third party, as a service bureau, application service provider or otherwise, without the prior written consent of TAKATAN;

(e) Decipher, decompile, disassemble or reverse engineer the Software, in whole or in part. To the extent you are expressly permitted by law to reverse engineer the Software, you agree to use such findings only as expressly permitted by law, and to otherwise hold such findings in strict confidence. For information regarding interoperability, contact TAKATAN.

1.4 Transfer and Assignment.
----------------------------

This Agreement is personal and may not be assigned or assumed (including by operation of law) without TAKATAN's prior written consent, and any attempt to do so without such consent is void. You may, however, transfer the Software to a successor in interest to all or substantially all of your assets or stock on a permanent basis, provided you retain no copies and the recipient agrees to the terms of this Agreement.

1.5 Term and Termination of License.
------------------------------------

(a) The term of this Agreement, and the license granted hereunder, shall commence (i) upon receipt by TAKATAN of a purchase order (for non-Demo and non-Open Source licenses) or (ii) upon express authorization by TAKATAN (for Demo and Open Source licenses) or (iii) upon the date provided for in the applicable Licence Order Confirmation (for subscription licence), and shall continue for the term stated on the applicable License Order Confirmation as issued by TAKATAN or, if no specific term is stated, shall continue indefinitely unless terminated in accordance with this Agreement.

(b) This Agreement and the license granted hereunder shall terminate immediately and automatically if you have not paid any license or subscription fees or other charges due to TAKATAN within 15 days after such amount is due.

(c) Without prejudice to any other rights, TAKATAN may immediately terminate this Agreement and the license granted hereunder upon written notice to you if you fail to comply with the terms and conditions of this Agreement.

(d) Upon termination of the license for any reason, you must immediately destroy and stop using all copies of the Software (including purging all storage media on which such Software is installed or otherwise stored) and all of its component parts.

(e) Upon termination of this Agreement, the provisions of Section 1.3, 3, 5, 6, 10 and 12 shall survive.

2. Support.
===========

Subject to the payment of all applicable fees, you shall be entitled to participate in the TAKATAN support program indicated on a License Order Confirmation. Information regarding support offerings made generally available by TAKATAN is available from TAKATAN upon request. The provision of support services by TAKATAN, if any, shall be subject to the terms of this Agreement.

3. Title.
=========

All copyrights, trademarks and all other intellectual property rights in and to the Software are and shall remain the sole and exclusive property of TAKATAN. Nothing in this Agreement shall confer any rights in any trade name, business name or trademark of TAKATAN to you. All modifications and improvements made to the Software and derivative works of the Software created by TAKATAN based in whole or in part upon the suggestions or feedback provided by you shall remain the sole and exclusive property of TAKATAN. You agree not to remove any copyright, trademark, proprietary rights, disclaimer or warning notice included on or embedded in any part of the Software. You agree to keep confidential and use your best efforts to prevent and protect the contents and output of the Software from unauthorized disclosure.

4. Content.
===========

Title, ownership rights, and intellectual property rights in and to the content accessed through the Software is the property of the applicable content owner and may be protected by applicable copyright or other law. This Agreement gives you no rights to any such content.

5. Limited Warranty; Disclaimer.
================================

TAKATAN warrants to you, for thirty (30) days from the date of the License Order Confirmation, the Software shall be in operable condition as described in the documentation provided as part of the Software. TAKATAN does not warrant that the Software will function without errors or interruptions. In the event that the Software fails to conform to this warranty, TAKATAN’s sole liability and your exclusive remedy shall be, at TAKATAN’s option, either (a) return of the price paid by you, or (b) repair or replacement of the Software. This limited warranty does not apply to Demo Licenses or Software identified as “beta,” “pre-release,” “test,” “AS-IS,” or the like, or to any support or other services performed by TAKATAN, all of which are supplied on an “AS-IS” basis without any warranty of any kind. This limited warranty is void if failure of the Software resulted from your negligence, abuse, accident, or improper or unauthorized use of the Software.

THE FOREGOING LIMITED WARRANTY IS IN LIEU OF AND ABRAKADOBR DISCLAIMS, TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, ALL OTHER WARRANTIES, EXPRESS OR IMPLIED (WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE), INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, CONDITIONS OF QUALITY, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. THE FOREGOING LIMITED WARRANTY SHALL FURTHER NOT BE ENLARGED OR OTHERWISE AFFECTED BY ABRAKADOBR’S RENDERING OF ANY SUPPORT SERVICES OR TECHNICAL OR OTHER ADVICE OR SERVICE IN CONNECTION WITH THE SOFTWARE OR YOUR USE THEREOF. ABRAKADOBR SHALL NOT BE HELD RESPONSIBLE FOR THE PERFORMANCE OF OR OUTPUT OBTAINED FROM THE SOFTWARE NOR FOR ANY LIABILITY TO ANY PARTY ARISING OUT OF USE OF THE SOFTWARE.

THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS, AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM STATE TO STATE.

6. LIMITATION OF LIABILITY.
===========================

IN NO EVENT SHALL ABRAKADOBR BE LIABLE TO YOU FOR LOSS OF PROSPECTIVE PROFITS OR SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES EVEN IF ABRAKADOBR IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. IN ADDITION, IN NO EVENT SHALL THE LIABILITY OF ABRAKADOBR TO YOU UNDER THIS AGREEMENT EXCEED AN AMOUNT EQUAL TO THAT PAID BY YOU TO ABRAKADOBR IN CONNECTION WITH YOUR USE OF THE SOFTWARE WITHIN THE PREVIOUS TWELVE-MONTH PERIOD.

SOME STATES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES SO THE ABOVE EXCLUSION OR LIMITATION MAY NOT APPLY TO YOU.

7. Export.
==========

You agree that the Software will not be shipped, transferred, exported, or re-exported into any country or used in any manner prohibited by the “Export Laws”. If the Software, or any component thereof, is identified as an export controlled item under the Export Laws, you represent and warrant that you are not a citizen, or otherwise located within, an embargoed nation and that you are not otherwise prohibited under the Export Laws from receiving the Software. All rights to use the Software under this Agreement are granted on the condition that such rights are forfeited if your representations and warranties in this section are not true.

8. U.S. Government Restricted Rights.  
=====================================

If you are a government agency, you acknowledge that the Software was developed at private expense and that the computer software component is provided to you subject to RESTRICTED RIGHTS. Notwithstanding any other lease or license agreement that may pertain to, or accompany the delivery of, this restricted computer software, the rights of the government regarding its use, duplication, reproduction or disclosure by the Government is subject to the restrictions set forth in subparagraph (c)(1)(ii) of the rights in Technical Data and Computer Software clause at DFARS 252.227‑7013 (48 C.F.R. § 252.227-7013), and subparagraph (c)(1) and (2) of the Commercial Computer Software Restricted Rights clause at FAR 52.227‑19. Contractor/manufacturer is TAKATAN.

9. Compliance with Agreement.
=============================

You agree that within fifteen (15) days of a request from TAKATAN or TAKATAN’s authorized representative you will fully document and certify that your use of the Software at the time of the request is in conformity with the terms of this Agreement and you agree to permit TAKATAN or its authorized representative to verify the accuracy of your certification. If such verification reveals that Customer has exceeded the number of authorised users set forth on the applicable Licence Order Confirmation form during the relevant period, then Customer shall pay, on demand, for the excess usage and for any ongoing excess usage going forward.

10. Jurisdiction.  
=================

This Agreement is governed by the laws of Thailand. You hereby consent to the jurisdiction of the courts located within the county in which TAKATAN’s principal office in Thailand is located. TAKATAN SOFTWARE AND ROBOTICS LTD registred number is 0845561003022

11. Customer Identification.
============================

You grant TAKATAN the right to use publicly your name and logo to appropriately identify you as a TAKATAN customer and licensee of the Software.

12. General.
============

This Agreement shall inure to the benefit of TAKATAN and its successors or assigns. Waiver of breach of any provision of this Agreement shall not be deemed a waiver of that provision or any other provision. If any provision of this Agreement is held to be unenforceable, it will be enforced to the maximum extent permissible, and the remaining provisions will remain in full force. This Agreement may be modified or amended only in writing signed by both you and TAKATAN. The parties disclaim the application of the United Nations Convention on the International Sale of Goods and the Uniform Computer Information Transactions Act (UCITA) or any state’s implementation of UCITA.

YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE AGREEMENT, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS. YOU FURTHER AGREE THAT THIS AGREEMENT, TOGETHER WITH ONE OR MORE LICENSE ORDER CONFIRMATIONS FOR THE SOFTWARE, IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN YOU AND ABRAKADOBR WHICH SUPERSEDES ANY PROPOSAL, OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN YOU AND ABRAKADOBR RELATING TO THE SUBJECT MATTER HEREOF.

If you have any questions about this Agreement, or if you wish to change the address to which notices may be sent to you for purposes of this Agreement, you may write to TAKATAN representative at the following address:

email: abrakadobr@gmail.com
telegram: @abrakadobr
