export default {
  name: 'lang-switcher',
  data: ()=>{
    return {
      curr: 'en',
      currUrl: '/'
    }
  },
  template: `
  <form class="form-inline">
    <div class="button-group border rounded">
      <a v-if="curr=='ru'" class="btn btn-light" v-on:click.stop="setLng()">
        <tg-emoji :code="'flagus'"></tg-emoji>
      </a>
      <a v-if="curr=='en'" class="btn btn-light" v-on:click.stop="setLng()">
        <tg-emoji :code="'flagru'"></tg-emoji>
      </a>
    </div>
  </form>
  `,
  watch: {
    $route(nx){
      this.currUrl = nx.path
      let xnl = 'en'
      if (this.currUrl.startsWith('/ru'))
        xnl = 'ru'
      if (this.curr!=xnl)
        this.curr = xnl
    }
  },
  methods: {
    setLng(){
      let nx = this.currUrl
      if (this.curr == 'ru')
      {
        nx = nx.slice(3)
        this.curr = 'en'
      } else {
        nx = '/ru'+nx
        this.curr = 'ru'
      }
      this.$router.push({path:nx})
    }
  },
  created() {
    
  }
}
