export default {
  name: 'tg-emoji',
  props: ['code','imgw'],
  data: ()=>{
    return {
      codes: {
        books: '1f4da',
        greenbook: '1f4d7',
        orangebook: '1f4d9',
        redbook: '1f4d5',
        bluebook: '1f4d8',

        flagus: '1f1fa-1f1f8',
        flagru: '1f1f7-1f1fa',

        arrowup: '2b06',
        arrowright: '27a1',
        arrowrightup: '2197',
        arrowrightdown: '2198',

        arrowleft: '2b05',
        arrowleftup: '2196',

        triangleright: '25b6',
        triangleleft: '25c0',

        rocket: '1f680',
        greenheart: '1f49a',
        tennis: '1f3be',
        hammerandwrench: '1f6e0',

      },

      shift: 2,
      path: '/tgemoji/'
    }
  },
  computed: {
    img(){
      if (typeof this.codes[this.code] == 'undefined')
        return ''
      return this.path+ this.codes[this.code]+'.png'
    },
    imgW(){
      if (!this.imgw)
        return 20
      return this.imgw
    }
  },
  template: `
    <span v-if="img!=''">
    <img :src="img" :style="{
      width:imgW+'px',
      position:'relative',
      top:-shift+'px'
    }"/>
    </span>
  `
}
