/*
Vue.component('tjs-ui-loader',()=>import('/vue/loader.js'))

const P404 = {template: '<div>404</div>'}

var $Tr = new VueRouter({
  mode: 'history',
  routes: [{
    path: '*',
    component: P404
  }]
})

$Tr.afterEach(function(to,from){
  if ($T) $T.setLoader(false)
})

$Tr.beforeEach((to,from,next)=>{
  if ($T) $T.setLoader(true)
  //setTimeout(()=>{
  if (!(to.matched&&to.matched.length==1&&to.matched[0].path=='*'))
    return next()

  //console.log('loading content component',to.path)
  let Http = new XMLHttpRequest();
  Http.onrror = function(e)
  {
    console.log(['XHR.error',e])
    next()
  }
  Http.onload = function(e)
  {
    let ct = this.getResponseHeader('content-type')
    if (!ct||!ct.includes('application/javascript'))
    {
      next()
      return
    }
    $Tr.addRoutes([{
      path: to.path,
      component: ()=>import(to.path+'?dataFormat=vue')
    }])
    next({
      path: to.path,
      replace: true
    })
  }
  Http.open("GET", to.path+'?dataFormat=vue');
  Http.send();
  //},2000)
})

var $T = new Vue({
  router: $Tr,
  data: {
    loading: true
  },
  methods: {
    setPageTitle:function(title){
      document.title = title
    },
    setLoader:function(st){
      this.loading = !!st
    },
    loadPage:function(){
      console.log('loading page',this.$router)
    }
  },
  created: function() {
    console.log('app created')
    this.loadPage()
  },
  mounted: function() {
    console.log('app mounted')
    //this.loadPage()
    window.addEventListener('click', event => {
      // ensure we use the link, in case the click has been received by a subelement
      let { target } = event
      while (target && target.tagName !== 'A') target = target.parentNode
      // handle only links that do not reference external resources
      if (target && target.matches("a:not([href*='://'])") && target.href) {
        // some sanity checks taken from vue-router:
        // https://github.com/vuejs/vue-router/blob/dev/src/components/link.js#L106
        const { altKey, ctrlKey, metaKey, shiftKey, button, defaultPrevented } = event
        // don't handle with control keys
        if (metaKey || altKey || ctrlKey || shiftKey) return
        // don't handle when preventDefault called
        if (defaultPrevented) return
        // don't handle right clicks
        if (button !== undefined && button !== 0) return
        // don't handle if `target="_blank"`
        if (target && target.getAttribute) {
          const linkTarget = target.getAttribute('target')
          if (/\b_blank\b/i.test(linkTarget)) return
        }
        // don't handle same page links/anchors
        const url = new URL(target.href)
        const to = url.pathname
        if (window.location.pathname !== to && event.preventDefault) {
          event.preventDefault()
          this.$router.push(to)
        }
      }
    })
  }
}).$mount('#tjs')
/**/
